Subject: bug#12836: bug#11524: ping on automake bug#11524

From: Stefano Lattarini <[email-masked]>
Date: Thu, 22 Nov 2012 10:39:44 +0100

[+cc bug#12836, automake-patches]

On 11/21/2012 10:17 PM, Dagobert Michelsen wrote:
> Hi Stefano,
Hi Dagobert, thanks for the quick reply.

> Am 21.11.2012 um 11:11 schrieb Stefano Lattarini <[email-masked]>:
>> Reference:
>> <http://debbugs.gnu.org/cgi/bugreport.cgi?bug=11524>
>>
>> Any news on this bug?  Can it still be reproduced with Automake 1.12.5?
>> Can it be reproduced with the development version of Automake from the
>> 'master' branch?  Since the evidence so far seems to point to spurious
>> errors, I will close this report in a few days if I haven't heard back
>> by then.
> 
> 
> I still get quite some failures:
>   http://buildfarm.opencsw.org/~dam/automake-1.12.5-test-suite.log
>
Let's try to go through them one by one (in different replies).

> FAIL: t/lex-header
> lex-header: running flex --version
> flex version 2.5.4
>
OK, this version of flex is ~ 15 years old, and ...

> /bin/bash ./ylwrap `test -f 'lexer.l' || echo './'`lexer.l \
>    lex.yy.c foo-lexer.c -- flex --header-file=mylex.h
> flex: unknown flag '-'.  For usage, try
>	flex --help
> *** Error code 1
> make: Fatal error: Command failed for target `foo-lexer.c'
>
... doesn't support the '--header-file' option.  This issue has been
reported once already (in automake bug#12836, which I am CC:ing).
The patch should take care of the issue.  Can you confirm it works?

---- 8< ---- 8< ---- 8< ---- 8< ---- 8< ---- 8< ---- 8< ---- 8< ----

>From 656f866264c7afe0f821eb0962aad8ff2f65c531 Mon Sep 17 00:00:00 2001
Message-Id: <656f86626[email-masked]>
From: Stefano Lattarini <[email-masked]>
Date: Thu, 22 Nov 2012 10:29:37 +0100
Subject: [PATCH] tests: fix a spurious failure with older flex versions

See automake bug#11524 and bug#12836.

* t/lex-header.sh: Here, we use flex option '--header-file',
but that option is not supported by some older flex versions.
Simply skip this test if such an old flex version is detected.

Signed-off-by: Stefano Lattarini <[email-masked]>
---
 t/lex-header.sh | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/t/lex-header.sh b/t/lex-header.sh
index f8d7333..ad2976e 100755
--- a/t/lex-header.sh
+++ b/t/lex-header.sh
@@ -20,6 +20,12 @@
 required='cc flex'
 . ./defs || exit 1

+# Here, we need to use the use flex option '--header-file', but some
+# older flex versions don't support is (see automake bug#11524 and
+# bug#12836).  Skip this test if such an old flex version is detected.
+$LEX --help | grep '.*--header-file' \
+  || skip_ "flex doesn't support the --header-file' option"
+
 cat >> configure.ac << 'END'
 AC_PROG_CC
 AC_PROG_LEX
-- 
1.8.0.209.gf3828dc